Bug 177511 - inline article view in new-opened-article scrolls to "same" position as previous opened article in same feed
Summary: inline article view in new-opened-article scrolls to "same" position as previ...
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 5.12.3
Platform: Neon Linux
: NOR normal with 23 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-11 18:44 UTC by H.H.
Modified: 2019-11-28 12:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.H. 2008-12-11 18:44:01 UTC
Version:           1.2.9 (using 3.5.10 "release 32.1" , openSUSE )
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.25.11-0.1-pae

1. open akregator
2. select to display full article in inline-view for a feed (this should be reproducable for example with feed from www.spiegel.de).
3. Select an article in the list
3. Scroll down in the article-inline-view
4. select another article from the same feed

The new opened article will be scrolled down the same distance as
the previous article was left.

Please(!!!) fix this for my kde3-akregator version (I tried kde4-version, but scrolling is too slow in there with my graphics card, and I don't like, that channel-article-counters are displayed in separated columns)
Comment 1 H.H. 2009-04-15 16:56:26 UTC
I now used akregator/kde4, and this problem still appears. Please fix this.

My Version: 1.4.50 (KDE 4.2.69 (KDE 4.2.69 (KDE 4.3 >= 20090406)) "release 1.3", KDE:KDE4:UNSTABLE:Desktop / openSUSE_11.0)
Comment 2 H.H. 2012-01-05 19:46:32 UTC
this is still valid in kde-4.8
Comment 3 Denis Kurz 2016-09-24 19:39:23 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of akregator (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 4 Denis Kurz 2017-01-07 22:22:34 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.
Comment 5 Martin Tlustos 2019-11-28 06:27:12 UTC
It still valid in
Operating System: KDE neon 5.17
KDE Plasma Version: 5.17.3
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.2
Kernel Version: 4.15.0-70-generic
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-7200U CPU @ 2.50GHz
Memory: 7,7 GiB
Comment 6 Laurent Montel 2019-11-28 12:41:39 UTC
Git commit 725e8b47448a8ec7ea3194e246a81f9b7d1ceb6c by Laurent Montel.
Committed on 28/11/2019 at 12:41.
Pushed by mlaurent into branch 'release/19.12'.

Fix Bug 177511 - inline article view in new-opened-article scrolls to "same" position as previous opened article in same feed

FIXED-IN: 5.13.0

M  +2    -2    src/articleviewer-ng/webengine/articleviewerwebengine.cpp

https://commits.kde.org/akregator/725e8b47448a8ec7ea3194e246a81f9b7d1ceb6c
Comment 7 H.H. 2019-11-28 12:55:12 UTC
Wow! After 11 years fixed! Thanks!